import 'package:flutter/material.dart';
import 'package:gap/gap.dart';
import 'package:wyatt_ui_components/wyatt_ui_components.dart';
import 'package:wyatt_ui_kit/wyatt_ui_kit.dart';

class InformationCards extends StatelessWidget {
  const InformationCards({super.key});

  @override
  Widget build(BuildContext context) => Column(
        children: [
          Text(
            'Information Cards',
            style: Theme.of(context).textTheme.titleMedium,
          ),
          const Gap(20),
          Row(
            crossAxisAlignment: CrossAxisAlignment.start,
            mainAxisAlignment: MainAxisAlignment.center,
            children: [
              const InformationCard(
                icons: [
                  FlutterLogo(size: 60),
                  FlutterLogo(size: 60),
                  FlutterLogo(size: 60),
                ],
                title: TextWrapper('Flutter'),
                subtitle: TextWrapper.text('One single code base.'),
                body: TextWrapper.text(
                  'Cupidatat reprehenderit aliqua eiusmod Lorem. '
                  'Qui ipsum id ea ea nulla labore aute ullamco aute '
                  'quis elit ut amet velit. Incididunt fugiat proident '
                  'proident deserunt tempor Lorem cillum qui do '
                  'ullamco Lorem magna ipsum. Ullamco cupidatat velit '
                  'elit sint ex cupidatat ullamco Lorem amet elit '
                  'ipsum sunt ex voluptate. Eiusmod quis laborum velit '
                  'excepteur eu commodo consectetur qui exercitation '
                  'officia consequat ullamco sit adipisicing. Ullamco '
                  'magna cupidatat Lorem nulla cupidatat voluptate '
                  'irure ex reprehenderit.',
                ),
              ),
              const Gap(20),
              InformationCard(
                background: Center(
                  child: Container(
                    decoration: const BoxDecoration(
                      image: DecorationImage(
                        image: AssetImage('assets/images/asset_1.png'),
                        fit: BoxFit.fitHeight,
                        alignment: Alignment.centerRight,
                      ),
                    ),
                  ),
                ),
                icons: const [
                  FlutterLogo(size: 60),
                  FlutterLogo(size: 60),
                ],
                title: 'Flutter'.wrap(
                  gradientColors: const MultiColor([Colors.blue, Colors.green]),
                ),
                subtitle: const TextWrapper.text('One single code base.'),
                body: 'Cupidatat reprehenderit aliqua eiusmod Lorem. '
                        'Qui ipsum id ea ea nulla labore aute ullamco aute '
                        'quis elit ut amet velit. Incididunt fugiat proident '
                        'proident deserunt tempor Lorem cillum qui do '
                        'ullamco Lorem magna ipsum. Ullamco cupidatat velit '
                        'elit sint ex cupidatat ullamco Lorem amet elit '
                        'ipsum sunt ex voluptate. Eiusmod quis laborum velit '
                        'excepteur eu commodo consectetur qui exercitation '
                        'officia consequat ullamco sit adipisicing. Ullamco '
                        'magna cupidatat Lorem nulla cupidatat voluptate '
                        'irure ex reprehenderit.'
                    .wrap(),
              ),
            ],
          ),
          const Gap(20),
          Row(
            crossAxisAlignment: CrossAxisAlignment.start,
            mainAxisAlignment: MainAxisAlignment.center,
            children: [
              InformationCard(
                icons: const [
                  FlutterLogo(size: 60),
                ],
                axis: Axis.horizontal,
                title: const TextWrapper.text('Flutter'),
                subtitle: const TextWrapper.text('One single code base.'),
                body: 'Cupidatat reprehenderit aliqua eiusmod Lorem. '
                        'Qui ipsum id ea ea nulla labore aute ullamco aute '
                        'quis elit ut amet velit. Incididunt fugiat proident '
                        'proident deserunt tempor Lorem cillum qui do '
                        'ullamco Lorem magna ipsum. Ullamco cupidatat velit '
                        'elit sint ex cupidatat ullamco Lorem amet elit '
                        'ipsum sunt ex voluptate. Eiusmod quis laborum velit '
                        'excepteur eu commodo consectetur qui exercitation '
                        'officia consequat ullamco sit adipisicing. Ullamco '
                        'magna cupidatat Lorem nulla cupidatat voluptate '
                        'irure ex reprehenderit.'
                    .wrap(
                  gradientColors: const MultiColor([
                    Colors.red,
                    Colors.orange,
                  ]),
                ),
              ),
              const Gap(20),
              InformationCard(
                background: Center(
                  child: Container(
                    decoration: const BoxDecoration(
                      image: DecorationImage(
                        image: AssetImage('assets/images/asset_1.png'),
                        fit: BoxFit.fitHeight,
                        alignment: Alignment.centerRight,
                      ),
                    ),
                  ),
                ),
                icons: const [
                  FlutterLogo(size: 60),
                ],
                axis: Axis.horizontal,
                title: const TextWrapper.text('Flutter'),
                subtitle: 'One single code base.'.wrap(
                  // gradient: [Colors.blue, Colors.green],
                  style: const TextStyle(
                    fontWeight: FontWeight.bold,
                  ),
                ),
                body: const TextWrapper.text(
                  'Cupidatat reprehenderit aliqua eiusmod Lorem. '
                  'Qui ipsum id ea ea nulla labore aute ullamco aute '
                  'quis elit ut amet velit. Incididunt fugiat proident '
                  'proident deserunt tempor Lorem cillum qui do '
                  'ullamco Lorem magna ipsum. Ullamco cupidatat velit '
                  'elit sint ex cupidatat ullamco Lorem amet elit '
                  'ipsum sunt ex voluptate. Eiusmod quis laborum velit '
                  'excepteur eu commodo consectetur qui exercitation '
                  'officia consequat ullamco sit adipisicing. Ullamco '
                  'magna cupidatat Lorem nulla cupidatat voluptate '
                  'irure ex reprehenderit.',
                ),
              ),
            ],
          ),
        ],
      );
}
